Skip to main content

Get Effective ACLs for SMS

This request returns the list of effective Access Control Lists (ACLs) for SMS for the partner, targeted by secure ID.

get /accesscontrol/effective_acl/sms

Sample​

A sample GET request to get effective ACLs for SMS:

curl -X GET \
'https://api.carrierx.com/core/v2/accesscontrol/effective_acl/sms' \
-H 'Authorization: Bearer 5ebc03d6-8b2b-44ad-bf65-72d4f1491dda'

Response​

200 status code with a list of Access Control List objects:

{
"count": 1,
"has_more": false,
"items": [
{
"effective_acls": [
{
"access_control_rules": [
"93525bae-f9a9-446b-b92a-7f421df7a11e"
],
"direction": "outbound",
"sms_action_false": null,
"sms_action_true": "accept",
"voice_action_false": null,
"voice_action_true": null
}
],
"layer": 1
}
],
"limit": 1,
"offset": 0,
"pagination": {},
"total": 1
}
note

Note that effective ACLs are executed from the most top-level object.

This request is enabled for Field Filtering. Additionally, query arguments are used to narrow the results.

Required Scopes​

To get information about Access Control Lists the partner must have one of the following scopes enabled:

  • accesscontrol.manage
  • accesscontrol.read

Query Arguments​

ParameterData TypeDescription
directionstringThe direction for the Access Control List. Values accepted in this field are:
  • any
  • inbound
  • outbound
  • undirected
partner_sidstringThe partner secure ID.